import IEventDispatcher from "../events/IEventDispatcher";



export default interface IInitiator  extends IEventDispatcher
{
    /**
     * 启动
     */
    Start():void;

    /**
     * 销毁
     */
    Destroy():void;

    /**
     * 名称
     */
    GetName():string;
}